package com.hikcreate.edl.pub.web.mobile.infra.model;

import cn.hutool.core.date.DateTime;
import com.hikcreate.edl.pub.web.mobile.infra.core.page.PageQuery;
import lombok.Data;

import java.io.Serializable;

/**
 * 绑定信息请求实体类
 *
 * @author: xieshixiang
 * @time：2020/6/18 16:07
 **/
@Data
public class BindInfoQuery extends PageQuery implements Serializable {

    /**
     * 绑定信息的唯一标识.
     */
    private String unqId;
    /**
     * 查询客户的id
     */
    private String userId;
    /**
     *查询客户的电话号码
     */
    private String phone;
    /**
     * 查询车辆的颜色
     */
    private String plateColor;
    /**
     * 查询车辆的车牌号
     */
    private String plateNum;
    /**
     * 车牌类型
     */
    private String plateType;
    /**
     * 查询绑定信息的状态
     */
    private String status;
    /**
     * 信息的编辑时间
     */
    private DateTime editorTime;
}
